# Quizzes

## List Quiz Responses

> Returns a list of Quiz Responses for the requested quiz

```json
{"openapi":"3.0.1","info":{"title":"Okendo Enterprise API","version":"1.2.1"},"tags":[{"name":"quizzes"}],"servers":[{"url":"https://api.okendo.io/enterprise"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"type":"http","scheme":"basic"}}},"paths":{"/quizzes/{quizId}/responses":{"get":{"tags":["quizzes"],"summary":"List Quiz Responses","description":"Returns a list of Quiz Responses for the requested quiz","parameters":[{"name":"quizId","description":"The ID of the quiz to retrieve responses for","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"description":"A limit on the number of items returned. Between 1 and 100. Default 25.","in":"query","name":"limit","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"lastEvaluated","description":"The URL-encoded JSON object representing the cursor for the next page of results.","in":"query","required":false,"schema":{"type":"string"}},{"name":"orderBy","description":"The sort order of the quiz responses. Format: '(date) (asc|desc)'. Default 'date desc'","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"An object containing a list of Quiz Responses and a relative link to the next page of results if available.","content":{"application/json":{"schema":{"type":"object","properties":{"quizResponses":{"type":"array","items":{"type":"object","properties":{"subscriberId":{"type":"string","description":"Your user ID within Okendo.","format":"uuid"},"quizResponseId":{"type":"string","format":"uuid"},"quizId":{"type":"string","format":"uuid"},"quizName":{"type":"string","description":"The name of the quiz."},"channel":{"type":"string","description":"The channel through which the quiz was submitted.","enum":["on-site","on-site-embed"]},"answeredQuestions":{"type":"array","items":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"text":{"type":"string","description":"The question text."},"type":{"type":"string","enum":["multiple-select"]},"answer":{"type":"array","items":{"type":"string"},"description":"The selected answer options."},"customAnswer":{"type":"string","description":"Custom answer text provided by the respondent."},"customAnswerOptionText":{"type":"string","description":"Text for the custom answer option."}},"required":["id","text","type","answer"]},{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"text":{"type":"string","description":"The question text."},"type":{"type":"string","enum":["five-point","star"]},"answer":{"type":"number","description":"The numeric answer provided."}},"required":["id","text","type","answer"]},{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"text":{"type":"string","description":"The question text."},"type":{"type":"string","enum":["profile"]},"answer":{"oneOf":[{"type":"object","properties":{"type":{"type":"string","enum":["date-components"]},"value":{"type":"object","properties":{"day":{"type":"integer","minimum":1,"maximum":31},"month":{"type":"integer","minimum":1,"maximum":12},"year":{"type":"integer","minimum":1900,"maximum":2100}},"description":"Date components value."}},"required":["type","value"]},{"type":"object","properties":{"type":{"type":"string","enum":["location"]},"value":{"type":"object","properties":{"countryCode":{"type":"string","description":"Country code."},"countryName":{"type":"string","description":"Country name."},"zoneCode":{"type":"string","description":"State, province, or zone code."}},"required":["countryCode"],"description":"Location value."}},"required":["type","value"]},{"type":"object","properties":{"type":{"type":"string","enum":["multi-value"]},"value":{"type":"array","items":{"type":"string"},"description":"The selected values."}},"required":["type","value"]},{"type":"object","properties":{"type":{"type":"string","enum":["single-value"]},"value":{"type":"string","description":"The selected value."}},"required":["type","value"]}],"discriminator":{"propertyName":"type","mapping":{"date-components":"#/ProfileDateComponents","location":"#/ProfileLocation","multi-value":"#/ProfileMultiValue","single-value":"#/ProfileSingleValue"}},"description":"The profile answer data provided."},"profileQuestionId":{"type":"string","format":"uuid"}},"required":["id","text","type","answer","profileQuestionId"]},{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"text":{"type":"string","description":"The question text."},"type":{"type":"string","enum":["single-select"]},"answer":{"type":"string","description":"The selected answer option."},"customAnswer":{"type":"string","description":"Custom answer text provided by the respondent."},"customAnswerOptionText":{"type":"string","description":"Text for the custom answer option."}},"required":["id","text","type","answer"]}],"discriminator":{"propertyName":"type","mapping":{"multiple-select":"#/QuizMultiSelectAnswer","five-point":"#/QuizNumberAnswer","star":"#/QuizNumberAnswer","profile":"#/QuizProfileAnswer","single-select":"#/QuizSingleSelectAnswer"}}}},"customer":{"type":"object","properties":{"customerId":{"type":"string","format":"uuid"},"email":{"type":"string","format":"email"}}},"dateCreated":{"type":"string","format":"date-time"},"emailMarketingOptIn":{"type":"boolean","description":"Whether the customer opted in to email marketing."},"order":{"type":"object","properties":{"remoteOrderId":{"type":"string","description":"The numeric order ID from Shopify."}}},"recommendation":{"oneOf":[{"oneOf":[{"type":"object","properties":{"type":{"type":"string","enum":["conditional-outcomes"]},"outcomeId":{"type":"string","format":"uuid","description":"The unique identifier for the outcome."},"outcomeType":{"type":"string","enum":["redirect"]},"outcomeInternalName":{"type":"string","description":"Internal name of the outcome."},"outcomeTitle":{"type":"string","description":"Title of the outcome."},"redirectUrl":{"type":"string","format":"uri","description":"URL to redirect to."}},"required":["type","outcomeId","outcomeType","outcomeTitle","redirectUrl"]},{"type":"object","properties":{"type":{"type":"string","enum":["conditional-outcomes"]},"outcomeId":{"type":"string","format":"uuid","description":"The unique identifier for the outcome."},"outcomeType":{"type":"string","enum":["products"]},"outcomeInternalName":{"type":"string","description":"Internal name of the outcome."},"outcomeTitle":{"type":"string","description":"Title of the outcome."},"recommendedProducts":{"type":"array","items":{"type":"object","properties":{"remoteProductId":{"type":"string","description":"The numeric product ID from Shopify."},"defaultRemoteVariantId":{"type":"string","description":"The default numeric variant ID from Shopify."},"remoteVariantIds":{"type":"array","items":{"type":"string"},"description":"The numeric variant IDs from Shopify."}},"required":["remoteProductId"]},"description":"List of recommended products."}},"required":["type","outcomeId","outcomeType","outcomeTitle","recommendedProducts"]}],"discriminator":{"propertyName":"outcomeType","mapping":{"redirect":"#/QuizOutcomeRedirect","products":"#/QuizOutcomeResult"}}},{"type":"object","properties":{"type":{"type":"string","enum":["weighted-products"]},"recommendedProducts":{"type":"array","items":{"type":"object","properties":{"product":{"type":"object","properties":{"remoteProductId":{"type":"string","description":"The numeric product ID from Shopify."},"defaultRemoteVariantId":{"type":"string","description":"The default numeric variant ID from Shopify."},"remoteVariantIds":{"type":"array","items":{"type":"string"},"description":"The numeric variant IDs from Shopify."}},"required":["remoteProductId"]},"points":{"type":"number","description":"Points assigned to this product."}},"required":["product","points"]},"description":"List of recommended products with points."},"runnerUpProducts":{"type":"array","items":{"type":"object","properties":{"product":{"type":"object","properties":{"remoteProductId":{"type":"string","description":"The numeric product ID from Shopify."},"defaultRemoteVariantId":{"type":"string","description":"The default numeric variant ID from Shopify."},"remoteVariantIds":{"type":"array","items":{"type":"string"},"description":"The numeric variant IDs from Shopify."}},"required":["remoteProductId"]},"points":{"type":"number","description":"Points assigned to this product."}},"required":["product","points"]},"description":"List of runner-up products with points."}},"required":["type","recommendedProducts","runnerUpProducts"]},{"type":"object","properties":{"type":{"type":"string","enum":["weighted-tags"]},"recommendedProducts":{"type":"array","items":{"type":"object","properties":{"product":{"type":"object","properties":{"remoteProductId":{"type":"string","description":"The numeric product ID from Shopify."},"tags":{"type":"array","items":{"type":"string"},"description":"Tags associated with the product."}},"required":["remoteProductId","tags"]},"points":{"type":"number","description":"Points assigned to this product."}},"required":["product","points"]},"description":"List of recommended products with tags and points."},"runnerUpProducts":{"type":"array","items":{"type":"object","properties":{"product":{"type":"object","properties":{"remoteProductId":{"type":"string","description":"The numeric product ID from Shopify."},"tags":{"type":"array","items":{"type":"string"},"description":"Tags associated with the product."}},"required":["remoteProductId","tags"]},"points":{"type":"number","description":"Points assigned to this product."}},"required":["product","points"]},"description":"List of runner-up products with tags and points."}},"required":["type","recommendedProducts","runnerUpProducts"]}],"discriminator":{"propertyName":"type","mapping":{"conditional-outcomes":"#/QuizConditionalOutcomeRecommendation","weighted-products":"#/QuizWeightedProductsRecommendation","weighted-tags":"#/QuizWeightedTagsRecommendation"}}},"reward":{"type":"object","properties":{"type":{"type":"string","enum":["coupon"],"description":"The type of reward."},"description":{"type":"string","description":"Description of the reward."},"value":{"type":"string","description":"The coupon code."}},"required":["type","description","value"]}},"required":["subscriberId","quizResponseId","quizId","quizName","channel","answeredQuestions","dateCreated","recommendation"]}},"nextUrl":{"type":"string","format":"uri"}}}}}},"400":{"description":"Invalid request parameters.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"401":{"description":"Authentication credentials are missing or incorrect."},"404":{"description":"The requested resource could not be found.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string"}}}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okendo.io/merchant-rest-api/endpoints/quizzes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
